Pogodoc
API Reference

Generate Template Previews

Creates both PNG and PDF preview files for template visualization. Generates previews in parallel and returns URLs for both formats.

POST
/templates/{templateId}/render-previews
AuthorizationBearer <token>

In: header

Path Parameters

templateIdstring

ID of the template to be used

typestring
Value in"react" | "latex" | "html" | "ejs" | "pptx" | "xlsx" | "docx"
data

Sample data for the template

formatOpts?null|

Response Body

application/json

curl -X POST "https://api.pogodoc.com/v1/templates/string/render-previews" \  -H "Content-Type: application/json" \  -d '{    "type": "docx",    "data": {      "property1": null,      "property2": null    }  }'
{
  "pngPreview": {
    "url": "string",
    "jobId": "string"
  },
  "pdfPreview": {
    "url": "string",
    "jobId": "string"
  }
}